#### D.2.8.11 mindeg1

Procedure from library `poly.lib` (see poly_lib).

Usage:
  mindeg1(id[,v]); id=poly/ideal/vector/module/matrix, v=intvec

Return:
  integer, minimal [weighted] degree of monomials of id independent of ring ordering, mindeg1 of i-th variable is v[i] (default v=1..1).

Note:
  This proc returns one integer while mindeg returns, in general, a matrix of integers. For one polynomial and if no intvec v is given mindeg is faster.

Example:

    LIB "poly.lib";
    ring r = 0,(x,y,z),ls;
    poly f = x5+y2+z3;
    ord(f);                  // ord returns weighted order of leading term!
    ==> 3
    intvec v = 1,-3,2;
    mindeg1(f,v);            // computes minimal weighted degree
    ==> -6
    matrix m[2][2]=x10,1,0,f^2;
    mindeg1(m,1..3);         // computes absolute minimum of weighted degrees
    ==> -1

User manual for Singular version 4-0-3, 2016, generated by texi2html.